#ifndef ITK_Assign_H
#define ITK_Assign_H

#include <itk/transformation.h>


class Assign : public Transformation {
public:
                  Assign();
  virtual         ~Assign();

  virtual bool    transform( Raster &src, Raster &dest);
  virtual bool    transform( const Raster &src, Raster &dest);

private:
  DENY_COPY( Assign)

          bool    do_assign( Raster &src, Raster &dest);
};


#ifdef DO_ITK_INLINE
#include <itk/assign.inl>
#endif

#endif//ITK_Assign_H
